MyGUI: MyGUI::utility Namespace Reference

MyGUI 3.2.2

Namespaces | Functions
MyGUI::utility Namespace Reference

## Namespaces
| templates

## Functions
void | trim (std::string &_str, bool _left=true, bool _right=true)
template<typename T >
std::string | toString (T p)
const std::string & | toString (const std::string &_value)
template<typename T1 , typename T2 >
std::string | toString (T1 p1, T2 p2)
template<typename T1 , typename T2 , typename T3 >
std::string | toString (T1 p1, T2 p2, T3 p3)
template<typename T1 , typename T2 , typename T3 , typename T4 >
std::string | toString (T1 p1, T2 p2, T3 p3, T4 p4)
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
std::string | toString (T1 p1, T2 p2, T3 p3, T4 p4, T5 p5)
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
std::string | toString (T1 p1, T2 p2, T3 p3, T4 p4, T5 p5, T6 p6)
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
std::string | toString (T1 p1, T2 p2, T3 p3, T4 p4, T5 p5, T6 p6, T7 p7)
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
std::string | toString (T1 p1, T2 p2, T3 p3, T4 p4, T5 p5, T6 p6, T7 p7, T8 p8)
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
std::string | toString (T1 p1, T2 p2, T3 p3, T4 p4, T5 p5, T6 p6, T7 p7, T8 p8, T9 p9)
template<>
std::string | toString< bool > (bool _value)
template<typename T >
T | parseValue (const std::string &_value)
template<>
bool | parseValue (const std::string &_value)
template<>
char | parseValue (const std::string &_value)
template<>
unsigned char | parseValue (const std::string &_value)
short | parseShort (const std::string &_value)
unsigned short | parseUShort (const std::string &_value)
int | parseInt (const std::string &_value)
unsigned int | parseUInt (const std::string &_value)
size_t | parseSizeT (const std::string &_value)
float | parseFloat (const std::string &_value)
double | parseDouble (const std::string &_value)
bool | parseBool (const std::string &_value)
char | parseChar (const std::string &_value)
unsigned char | parseUChar (const std::string &_value)
template<typename T1 , typename T2 >
T1 | parseValueEx2 (const std::string &_value)
template<typename T1 , typename T2 >
T1 | parseValueEx3 (const std::string &_value)
template<typename T1 , typename T2 >
T1 | parseValueEx4 (const std::string &_value)
std::vector< std::string > | split (const std::string &_source, const std::string &_delims="\t\n ")
template<typename T1 , typename T2 , typename T3 , typename T4 >
bool | parseComplex (const std::string &_value, T1 &_p1, T2 &_p2, T3 &_p3, T4 &_p4)
template<typename T1 , typename T2 , typename T3 >
bool | parseComplex (const std::string &_value, T1 &_p1, T2 &_p2, T3 &_p3)
template<typename T1 , typename T2 >
bool | parseComplex (const std::string &_value, T1 &_p1, T2 &_p2)
template<typename T1 >
bool | parseComplex (const std::string &_value, T1 &_p1)
template<>
bool | parseComplex< bool > (const std::string &_value, bool &_p1)
bool | startWith (const std::string &_source, const std::string &_value)
bool | endWith (const std::string &_source, const std::string &_value)

## Function Documentation

## ◆ endWith()

bool MyGUI::utility::endWith | ( | const std::string & | _source,
|  | const std::string & | _value
| ) |  |
| inline

Definition at line 410 of file MyGUI_StringUtility.h.

## ◆ parseBool()

bool MyGUI::utility::parseBool | ( | const std::string & | _value | ) |
| inline

Definition at line 191 of file MyGUI_StringUtility.h.

## ◆ parseChar()

char MyGUI::utility::parseChar | ( | const std::string & | _value | ) |
| inline

Definition at line 196 of file MyGUI_StringUtility.h.

## ◆ parseComplex() [1/4]

template<typename T1 >

bool MyGUI::utility::parseComplex | ( | const std::string & | _value,
|  | T1 & | _p1
| ) |  |
| inline

Definition at line 359 of file MyGUI_StringUtility.h.

## ◆ parseComplex() [2/4]

template<typename T1 , typename T2 >

bool MyGUI::utility::parseComplex | ( | const std::string & | _value,
|  | T1 & | _p1,
|  | T2 & | _p2
| ) |  |
| inline

Definition at line 339 of file MyGUI_StringUtility.h.

## ◆ parseComplex() [3/4]

template<typename T1 , typename T2 , typename T3 >

bool MyGUI::utility::parseComplex | ( | const std::string & | _value,
|  | T1 & | _p1,
|  | T2 & | _p2,
|  | T3 & | _p3
| ) |  |
| inline

Definition at line 319 of file MyGUI_StringUtility.h.

## ◆ parseComplex() [4/4]

template<typename T1 , typename T2 , typename T3 , typename T4 >

bool MyGUI::utility::parseComplex | ( | const std::string & | _value,
|  | T1 & | _p1,
|  | T2 & | _p2,
|  | T3 & | _p3,
|  | T4 & | _p4
| ) |  |
| inline

Definition at line 299 of file MyGUI_StringUtility.h.

## ◆ parseComplex< bool >()

template<>

bool MyGUI::utility::parseComplex< bool > | ( | const std::string & | _value,
|  | bool & | _p1
| ) |  |
| inline

Definition at line 379 of file MyGUI_StringUtility.h.

## ◆ parseDouble()

double MyGUI::utility::parseDouble | ( | const std::string & | _value | ) |
| inline

Definition at line 186 of file MyGUI_StringUtility.h.

## ◆ parseFloat()

float MyGUI::utility::parseFloat | ( | const std::string & | _value | ) |
| inline

Definition at line 181 of file MyGUI_StringUtility.h.

## ◆ parseInt()

int MyGUI::utility::parseInt | ( | const std::string & | _value | ) |
| inline

Definition at line 166 of file MyGUI_StringUtility.h.

## ◆ parseShort()

short MyGUI::utility::parseShort | ( | const std::string & | _value | ) |
| inline

Definition at line 156 of file MyGUI_StringUtility.h.

## ◆ parseSizeT()

size_t MyGUI::utility::parseSizeT | ( | const std::string & | _value | ) |
| inline

Definition at line 176 of file MyGUI_StringUtility.h.

## ◆ parseUChar()

unsigned char MyGUI::utility::parseUChar | ( | const std::string & | _value | ) |
| inline

Definition at line 201 of file MyGUI_StringUtility.h.

## ◆ parseUInt()

unsigned int MyGUI::utility::parseUInt | ( | const std::string & | _value | ) |
| inline

Definition at line 171 of file MyGUI_StringUtility.h.

## ◆ parseUShort()

unsigned short MyGUI::utility::parseUShort | ( | const std::string & | _value | ) |
| inline

Definition at line 161 of file MyGUI_StringUtility.h.

## ◆ parseValue() [1/4]

template<typename T >

T MyGUI::utility::parseValue | ( | const std::string & | _value | ) |
| inline

Definition at line 112 of file MyGUI_StringUtility.h.

## ◆ parseValue() [2/4]

template<>

bool MyGUI::utility::parseValue | ( | const std::string & | _value | ) |
| inline

Definition at line 134 of file MyGUI_StringUtility.h.

## ◆ parseValue() [3/4]

template<>

char MyGUI::utility::parseValue | ( | const std::string & | _value | ) |
| inline

Definition at line 143 of file MyGUI_StringUtility.h.

## ◆ parseValue() [4/4]

template<>

unsigned char MyGUI::utility::parseValue | ( | const std::string & | _value | ) |
| inline

Definition at line 150 of file MyGUI_StringUtility.h.

## ◆ parseValueEx2()

template<typename T1 , typename T2 >

T1 MyGUI::utility::parseValueEx2 | ( | const std::string & | _value | ) |
| inline

Definition at line 208 of file MyGUI_StringUtility.h.

## ◆ parseValueEx3()

template<typename T1 , typename T2 >

T1 MyGUI::utility::parseValueEx3 | ( | const std::string & | _value | ) |
| inline

Definition at line 229 of file MyGUI_StringUtility.h.

## ◆ parseValueEx4()

template<typename T1 , typename T2 >

T1 MyGUI::utility::parseValueEx4 | ( | const std::string & | _value | ) |
| inline

Definition at line 250 of file MyGUI_StringUtility.h.

## ◆ split()

std::vector<std::string> MyGUI::utility::split | ( | const std::string & | _source,
|  | const std::string & | _delims = `"\t\n "`
| ) |  |
| inline

Definition at line 291 of file MyGUI_StringUtility.h.

## ◆ startWith()

bool MyGUI::utility::startWith | ( | const std::string & | _source,
|  | const std::string & | _value
| ) |  |
| inline

Definition at line 397 of file MyGUI_StringUtility.h.

## ◆ toString() [1/10]

const std::string& MyGUI::utility::toString | ( | const std::string & | _value | ) |
| inline

Definition at line 34 of file MyGUI_StringUtility.h.

## ◆ toString() [2/10]

template<typename T >

std::string MyGUI::utility::toString | ( | T | p | ) |
| inline

Definition at line 27 of file MyGUI_StringUtility.h.

## ◆ toString() [3/10]

template<typename T1 , typename T2 >

std::string MyGUI::utility::toString | ( | T1 | p1,
|  | T2 | p2
| ) |  |
| inline

Definition at line 40 of file MyGUI_StringUtility.h.

## ◆ toString() [4/10]

template<typename T1 , typename T2 , typename T3 >

std::string MyGUI::utility::toString | ( | T1 | p1,
|  | T2 | p2,
|  | T3 | p3
| ) |  |
| inline

Definition at line 48 of file MyGUI_StringUtility.h.

## ◆ toString() [5/10]

template<typename T1 , typename T2 , typename T3 , typename T4 >

std::string MyGUI::utility::toString | ( | T1 | p1,
|  | T2 | p2,
|  | T3 | p3,
|  | T4 | p4
| ) |  |
| inline

Definition at line 56 of file MyGUI_StringUtility.h.

## ◆ toString() [6/10]

template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

std::string MyGUI::utility::toString | ( | T1 | p1,
|  | T2 | p2,
|  | T3 | p3,
|  | T4 | p4,
|  | T5 | p5
| ) |  |
| inline

Definition at line 64 of file MyGUI_StringUtility.h.

## ◆ toString() [7/10]

template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >

std::string MyGUI::utility::toString | ( | T1 | p1,
|  | T2 | p2,
|  | T3 | p3,
|  | T4 | p4,
|  | T5 | p5,
|  | T6 | p6
| ) |  |
| inline

Definition at line 72 of file MyGUI_StringUtility.h.

## ◆ toString() [8/10]

template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >

std::string MyGUI::utility::toString | ( | T1 | p1,
|  | T2 | p2,
|  | T3 | p3,
|  | T4 | p4,
|  | T5 | p5,
|  | T6 | p6,
|  | T7 | p7
| ) |  |
| inline

Definition at line 80 of file MyGUI_StringUtility.h.

## ◆ toString() [9/10]

template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >

std::string MyGUI::utility::toString | ( | T1 | p1,
|  | T2 | p2,
|  | T3 | p3,
|  | T4 | p4,
|  | T5 | p5,
|  | T6 | p6,
|  | T7 | p7,
|  | T8 | p8
| ) |  |
| inline

Definition at line 88 of file MyGUI_StringUtility.h.

## ◆ toString() [10/10]

template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >

std::string MyGUI::utility::toString | ( | T1 | p1,
|  | T2 | p2,
|  | T3 | p3,
|  | T4 | p4,
|  | T5 | p5,
|  | T6 | p6,
|  | T7 | p7,
|  | T8 | p8,
|  | T9 | p9
| ) |  |
| inline

Definition at line 96 of file MyGUI_StringUtility.h.

## ◆ toString< bool >()

template<>

std::string MyGUI::utility::toString< bool > | ( | bool | _value | ) |
| inline

Definition at line 104 of file MyGUI_StringUtility.h.

## ◆ trim()

void MyGUI::utility::trim | ( | std::string & | _str,
|  | bool | _left = `true`,
|  | bool | _right = `true`
| ) |  |
| inline

Definition at line 19 of file MyGUI_StringUtility.h.